PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

double PLASMA_zlantr_Tile | ( | PLASMA_enum | norm,
|  | PLASMA_enum | uplo,
|  | PLASMA_enum | diag,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_zlantr_Tile - Tile equivalent of PLASMA_zlantr(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | norm | = PlasmaMaxNorm: Max norm = PlasmaOneNorm: One norm = PlasmaInfNorm: Infinity norm = PlasmaFrobeniusNorm: Frobenius norm
  [in] | uplo | Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | diag | Specifies whether or not A is unit triangular: = PlasmaNonUnit: A is non unit; = PlasmaUnit: A us unit.
  [in] | A | Descriptor of matrix A.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zlantr
  PLASMA_zlantr_Tile_Async
  PLASMA_clantr_Tile
  PLASMA_dlantr_Tile
  PLASMA_slantr_Tile